"""empty message

Revision ID: 5c3a72fb234e
Revises: b1b81976b509
Create Date: 2021-03-26 00:48:25.995472

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '5c3a72fb234e'
down_revision = 'b1b81976b509'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('popularity_recommendation',
    sa.Column('uuid', sa.String(length=50), nullable=False),
    sa.Column('click_article_id', sa.BIGINT(), nullable=True),
    sa.Column('total_click_environment', sa.BIGINT(), nullable=True),
    sa.Column('date', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('uuid')
    )
    op.drop_table('popularity_recommender')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('popularity_recommender',
    sa.Column('uuid', sa.VARCHAR(length=50), autoincrement=False, nullable=False),
    sa.Column('click_article_id', sa.BIGINT(), autoincrement=False, nullable=True),
    sa.Column('total_click_environment', sa.BIGINT(), autoincrement=False, nullable=True),
    sa.Column('date', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.PrimaryKeyConstraint('uuid', name='popularity_recommender_pkey')
    )
    op.drop_table('popularity_recommendation')
    # ### end Alembic commands ###
